#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform vec2 resolution;
uniform float blurRadius;
uniform float sampleNum;

vec4 blur(vec2);

void main(void)
{
    vec4 col = blur(v_texCoord); //* v_fragmentColor.rgb;
    gl_FragColor = vec4(col) * v_fragmentColor;
}

vec4 blur(vec2 p)
{
//    float blurRadius = 1.0;
//    float sampleNum = 2.0;
    vec4 col = vec4(0);
    vec2 unit = 1.0 / resolution.xy;
    float sampleStep = 0.5;
    
    float count = 0.0;
    
    for(float x = -blurRadius; x < blurRadius; x += sampleStep)
    {
        for(float y = -blurRadius; y < blurRadius; y += sampleStep)
        {
            float weight = (blurRadius - abs(x)) * (blurRadius - abs(y));
            col += texture2D(CC_Texture0, p + vec2(x * unit.x, y * unit.y)) * weight;
            count += weight;
        }
    }
    
    return col / count;
}
